> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/market/get-candlesticks/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get candlesticks GET https://www.okx.com/api/v5/market/candles Retrieve the candlestick charts. This endpoint can retrieve the latest 1,440 data entries. Charts are returned in groups based on the requested bar. Reference: https://okx-demo.ferndocs.com/api/api-reference/market/get-candlesticks ## Request ### Query parameters - `instId` (string, required) — Instrument ID, e.g. `BTC-USDT` - `bar` (string, optional) — Bar size, the default is `1m` e.g. [1m/3m/5m/15m/30m/1H/2H/4H] UTC+8 opening price k-line: [6H/12H/1D/2D/3D/1W/1M/3M] UTC+0 opening price k-line: [6Hutc/12Hutc/1Dutc/2Dutc/3Dutc/1Wutc/1Mutc/3Mutc] - `after` (string, optional) — Pagination of data to return records earlier than the requested `ts` - `before` (string, optional) — Pagination of data to return records newer than the requested `ts`. The latest data will be returned when using `before` individually - `limit` (string, optional) — Number of results per request. The maximum is `300`. The default is `100`. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of list of any, optional) ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ [ "1597026383085", "3.721", "3.743", "3.677", "3.708", "8422410", "22698348.04828491", "12698348.04828491", "0" ], [ "1597026383085", "3.731", "3.799", "3.494", "3.72", "24912403", "67632347.24399722", "37632347.24399722", "1" ] ] } ``` **SDK Code** ```python market_getCandlesticks_example import requests url = "https://www.okx.com/api/v5/market/candles" querystring = {"instId":"BTC-USDT"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript market_getCandlesticks_example const url = 'https://www.okx.com/api/v5/market/candles?instId=BTC-USDT'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go market_getCandlesticks_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/market/candles?instId=BTC-USDT" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby market_getCandlesticks_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/market/candles?instId=BTC-USDT") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java market_getCandlesticks_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/market/candles?instId=BTC-USDT") .asString(); ``` ```php market_getCandlesticks_example request('GET', 'https://www.okx.com/api/v5/market/candles?instId=BTC-USDT'); echo $response->getBody(); ``` ```csharp market_getCandlesticks_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/market/candles?instId=BTC-USDT"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift market_getCandlesticks_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/market/candles?instId=BTC-USDT")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```